{% sw_extends '@Storefront/storefront/page/product-detail/buy-widget-form.html.twig' %}

{% block page_product_detail_buy_button_container %}
    {% set buttonStyle = theme_config('sysea-button-style') %}
    <div class="col-8">
        {% block page_product_detail_buy_button %}
            {# @deprecated tag:v6.5.0 - Bootstrap v5 removes `btn-block` class, use `d-grid` wrapper instead #}
            {% if feature('v6.5.0.0') %}
                <div class="d-grid">
                    <button class="btn btn-primary btn-buy{% if buttonStyle == "underlined" %} style-underline{% endif %}"
                            title="{{ "detail.addProduct"|trans|striptags }}"
                            aria-label="{{ "detail.addProduct"|trans|striptags }}">
                        {{ "detail.addProduct"|trans|sw_sanitize }}
                    </button>
                </div>
            {% else %}
                <button class="btn btn-primary btn-block btn-buy{% if buttonStyle == "underlined" %} style-underline{% endif %}"
                        title="{{ "detail.addProduct"|trans|striptags }}"
                        aria-label="{{ "detail.addProduct"|trans|striptags }}">
                    {{ "detail.addProduct"|trans|sw_sanitize }}
                </button>
            {% endif %}
        {% endblock %}
    </div>
{% endblock %}